#ifndef SCREENSHOTOPTIONS_H
#define SCREENSHOTOPTIONS_H

#include "ui_screenshotoptions.h"

class ScreenshotOptions : public QDialog
{
	Q_OBJECT
public:
	ScreenshotOptions(int delay, QWidget *parent = 0);

signals:
	void captureDesktop(int);
	void captureWindow(int);
	void captureArea(int);
	void screenshotCanceled();

private slots:
	void okPressed();
	void cancelPressed();
	void hideTimeout();

private:
	Ui::ScreenshotOptions ui_;
};

#endif // SCREENSHOTOPTIONS_H
